docs

# PassportData

data class PassportData (val data: List < EncryptedPassportElement >, val credentials: EncryptedCredentials )
Content copied to clipboard

## Constructors

PassportData
Link copied to clipboard
fun PassportData (data: List < EncryptedPassportElement >, credentials: EncryptedCredentials )
Content copied to clipboard

## Properties

credentials
Link copied to clipboard
val credentials : EncryptedCredentials
Content copied to clipboard
data
Link copied to clipboard
val data : List < EncryptedPassportElement >
Content copied to clipboard

## Extensions

doInDecryptionContextWithPKCS8Key
Link copied to clipboard
inline fun < T > PassportData . doInDecryptionContextWithPKCS8Key ( pkcs8Key: PrivateKey , expectedNonce: String ? = null, crossinline block: SecureData.() -> T ): T
Content copied to clipboard
inline fun < T > PassportData . doInDecryptionContextWithPKCS8Key ( pkcs8Key: String , expectedNonce: String ? = null, crossinline block: SecureData.() -> T ): T
Content copied to clipboard